using System;
class HelloWorld {
  static void Main() {
    int N = int.Parse(Console.ReadLine());
    int Pera = int.Parse(Console.ReadLine());
    int brojas = -1;
    for(int i = 1; i <= N; i++){
        int H = int.Parse(Console.ReadLine());
        if(H <= Pera){
            brojas = i;
        }
    }
        Console.WriteLine(brojas);

  }
}